Inhalte

# Funktion InputBox

Zeigt einen Dialog mit einem Eingabefeld und erlaubt dem Benutzer die Eingabe einer Zeichenfolge bis zur Bestätigung von OK. Die Eingabe wird in einer Variablen aufgenommen.

Die Anweisung InputBox bietet eine komfortable Möglichkeit der Eingabe über einen Dialog. Die Eingabeebene kann durch [Eingabetaste] oder die Schaltfläche »OK« verlassen werden; die vom Anwender bis dahin eingegebene Zeichenfolge wird als Funktionsergebnis zurückgegeben. Wird der Dialog hingegen mit »Abbrechen« verlassen, liefert InputBox eine Nullzeichenfolge ("") zurück.

### Syntax:

    InputBox (Prompt As String[, Title As String[, Default As String[, xpostwips As Integer, ypostwips As Integer]]]) As String

### Parameter:

Meldung: Zeichenfolgenausdruck, der im Dialog als Meldung angezeigt wird.

Titel: Zeichenfolgenausdruck, der in der Titelleiste des Dialogs angezeigt wird.

Standard: Zeichenfolgenausdruck, der im Textfeld des Dialogs als Standard angezeigt wird, wenn keine andere Eingabe übergeben wird.

x_Position_twips: Integerausdruck, der die horizontale Position des Dialogs festlegt. Die Position ist eine absolute Koordinate, nimmt also nicht auf das Fenster von LibreOffice Bezug.

y_Position_twips: Integerausdruck, der die vertikale Position des Dialogs festlegt. Die Position ist eine absolute Koordinate, nimmt also nicht auf das Fenster von LibreOffice Bezug.

Wenn x_Position_twips und y_Position_twips weggelassen werden, wird der Dialog auf dem Bildschirm zentriert. Als Maßeinheit wird Twips verwendet.

### Rückgabetyp:

String

### Beispiel:

    Sub ExampleInputBox
    Dim sText As String
        sText = InputBox ("Bitte geben einen Gedanken ein: ","Lieber Benutzer")
        MsgBox ( sText , 64, "Bestätigung des Gedankens")
    End Sub

Bitte unterstützen Sie uns!